import main


class PendingCommand:
    def __init__(self, *args):
        self.pending(*args)

    def pending(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            if length == 1:
                results = []
                for i in main.network.keys():
                    for x in main.network[i].relays.keys():
                        if not main.network[i].relays[x]["registered"]:
                            results.append(
                                "%s: confirm %s %s [code]"
                                % (main.alias[x]["nick"], i, x)
                            )
                info("\n".join(results))
                return
            elif length == 2:
                if not spl[1] in main.network.keys():
                    failure("No such network: %s" % spl[1])
                    return
                results = []
                for x in main.network[spl[1]].relays.keys():
                    if not main.network[spl[1]].relays[x]["registered"]:
                        results.append(
                            "%s: confirm %s %s [code]"
                            % (main.alias[x]["nick"], spl[1], x)
                        )
                info("\n".join(results))
                return
            else:
                incUsage("pending")
                return
        else:
            incUsage(None)
